Name:           firefox-32
Version:        0.0.1
Release:        5%{?dist}
Summary:        Alternate Launcher for 32bit Firefox

Group:          Applications/Internet
License:        Public Domain
URL:            http://people.redhat.com/wtogami/firefox-32
# This is a shell script maintained in the package SCM, so there is no upstream.
Source0:        setup-firefox-32.sh
Source1:        firefox-32.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# This is actually noarch (shell script) , but it only makes sense to install on these archs
ExclusiveArch:  x86_64 ppc64 s390x
BuildRequires:  desktop-file-utils
# Unfortunately, we cannot have a Requires line that explicitly means /usr/lib/ 32bit firefox.
Requires:       firefox

%description
Alternate Launcher for 32bit Firefox on Multilib Systems
If you have both 32bit and 64bit Firefox installed, the standard 
/usr/bin/firefox launcher will run only the 64bit version.  This 
launcher allows you to choose to run the 32bit browser by running 
/usr/bin/firefox-32.  Please be sure  that all Firefox instances 
are closed before running this launcher.

# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=214100
# This package exists because a few simple lines of logic were rejected
# from the main Fedora firefox package that would have provided the 
# ability to easily choose your runtime arch on a multilib system.
# For the long-term, Fedora hopes to obviate the need to run a 32bit
# browser entirely by getting nspluginwrapper to work fully instead.

%prep
echo "Nothing to prep!"

%build
echo "Nothing to build!"

%install
rm -rf $RPM_BUILD_ROOT
install -D -m 0755 %SOURCE0 $RPM_BUILD_ROOT%{_libdir}/firefox-32/setup-firefox-32.sh
mkdir -p   $RPM_BUILD_ROOT%{_bindir}
touch      $RPM_BUILD_ROOT%{_bindir}/firefox-32
chmod 0755 $RPM_BUILD_ROOT%{_bindir}/firefox-32

desktop-file-install --vendor="fedora"                     \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications    \
        %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

# Upon install, generate /usr/bin/firefox-32 based upon the contents of /usr/bin/firefox
%post
%{_libdir}/firefox-32/setup-firefox-32.sh

# Whenever firefox is upgraded, regenerate /usr/bin/firefox-32
%triggerin -- firefox
%{_libdir}/firefox-32/setup-firefox-32.sh

%files
%defattr(-,root,root,-)
# libdir instead of /usr/share because it is meant to be executable
# only on 64bit multilib systems
%{_libdir}/firefox-32/setup-firefox-32.sh
%dir %{_libdir}/firefox-32/
%{_datadir}/applications/fedora-firefox-32.desktop
%ghost %{_bindir}/firefox-32

%changelog
* Sun Nov 26 2006 Warren Togami <wtogami@redhat.com> - 0.0.1-5
- remove buildarch: noarch

* Sun Nov 26 2006 Christopher Stone <chris.stone@gmail.com> - 0.0.1-4
- Add desktop-file-install command to install .desktop entry
- Modify .desktop entry to more closely match firefox
- Add BuildArch: noarch

* Sun Nov 26 2006 Warren Togami <wtogami@redhat.com> - 0.0.1-3
- change license to Public Domain
- own firefox-32 directory
- fix .desktop file s/True/true/

* Wed Nov 22 2006 Warren Togami <wtogami@redhat.com> - 0.0.1-2
- use Source instead of Patch for source files (#215256)

* Sun Nov 12 2006 Warren Togami <wtogami@redhat.com> - 0.0.1-1
- initial version
